Package org.silverpeas.mobile.client.common.reconizer.swipe

## Class SwipeMoveEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - org.silverpeas.mobile.client.common.reconizer.swipe.SwipeEvent<SwipeMoveHandler>
      - - org.silverpeas.mobile.client.common.reconizer.swipe.SwipeMoveEvent

-     public class SwipeMoveEvent
      extends SwipeEvent<SwipeMoveHandler>

  A `SwipeMoveEvent` occurs when the user moves his finger over the display

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.mobile.client.common.reconizer.swipe.SwipeEvent

      `SwipeEvent.DIRECTION`

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwipeMoveEvent​(TouchCopy touch, boolean distanceReached, int distance, SwipeEvent.DIRECTION direction)` | Construct a `SwipeMoveEvent`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `dispatch​(SwipeMoveHandler handler)` |
    `com.google.gwt.event.shared.GwtEvent.Type<SwipeMoveHandler>` | `getAssociatedType()` |
    `int` | `getDistance()` | the distance of this swipe
    `TouchCopy` | `getTouch()` |
    `static com.google.gwt.event.shared.GwtEvent.Type<SwipeMoveHandler>` | `getType()` |
    `boolean` | `isDistanceReached()` | is the minimum distance reached

    - ### Methods inherited from class org.silverpeas.mobile.client.common.reconizer.swipe.SwipeEvent

      `getDirection`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SwipeMoveEvent

          public SwipeMoveEvent​(TouchCopy touch,
                                boolean distanceReached,
                                int distance,
                                SwipeEvent.DIRECTION direction)

      Construct a `SwipeMoveEvent`
      Parameters:
        `touch` -
        `distanceReached` - is the minimum distance reached for this swipe
        `distance` - the distance in px
        `direction` - the direction of the swipe

  - ### Method Detail

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<SwipeMoveHandler> getType()

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<SwipeMoveHandler> getAssociatedType()

      Specified by:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SwipeMoveHandler>`

    - #### dispatch

          protected void dispatch​(SwipeMoveHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SwipeMoveHandler>`

    - #### getDistance

          public int getDistance()

      the distance of this swipe
      Returns:
        the distance of this swipe in px

    - #### isDistanceReached

          public boolean isDistanceReached()

      is the minimum distance reached
      Returns:
        true if the minimum distance reached

    - #### getTouch

          public TouchCopy getTouch()